apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: opensearch-0.1.1
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: opensearch
        - from: value
          key: delay_final_config
          to: annotation
          value: true
      name: opensearch
      podspec:
        containers:
          - image: aep/aos/jammy/aep
            name: opensearch
      provides:
        - exposed: true
          name: opensearch
          network: direct
          servicespec:
            ports:
              - name: rest
                port: 9200
                protocol: TCP
              - name: search
                port: 9250
                protocol: TCP
              - name: transport
                port: 9300
                protocol: TCP
              - name: perf
                port: 9600
                protocol: TCP
        - exposed: true
          name: dashboard
          network: loadbalanced
          servicespec:
            ports:
              - name: dash-tls
                port: 443
                protocol: TCP
              - name: dash
                port: 5601
                protocol: TCP
      settings:
        - from:
            - user
          name: admin_password
          schema:
            description: The password for the opensearch admin user. Autogenerated if not provided.
            format: password
            minLength: 16
            type: string
      sizing:
        increment: 1
        initial: 3
        maximum: 15
        minimum: 1
  dependencies:
    operator:
      name: opensearch-operator
      vendor: asag
      version: 0.1.0
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.4.1
  name: opensearch
  settings:
    - name: environment
      schema:
        default: opensearch_prod
  version: 0.1.1
